Skip to main content
POST
/
orders
Create an order
curl --request POST \
  --url https://api.sentralbee.app/v1/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "order_number": "<string>",
  "status": "<string>",
  "payment_status": "<string>",
  "fulfillment_status": "<string>",
  "sales_channel": "<string>",
  "currency": "<string>",
  "customer": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "email": "jsmith@example.com"
  },
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "sku": "<string>",
      "quantity": 123,
      "unit_price": 123,
      "total_price": 123
    }
  ],
  "subtotal_price": 123,
  "total_shipping": 123,
  "total_tax": 123,
  "total_discount": 123,
  "total_price": 123,
  "total_items": 123,
  "shipping_address": {},
  "note": "<string>",
  "order_datetime": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://sentralbee.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Workspace API key. The workspace is derived from the key.

Body

application/json

Order creation payload (workspace order form).

Response

Created order

id
string<uuid>
required
order_number
string
required
status
string
required
payment_status
string
fulfillment_status
string
sales_channel
string
currency
string
customer
object
items
object[]
subtotal_price
integer
total_shipping
integer
total_tax
integer
total_discount
integer
total_price
integer
total_items
integer
shipping_address
object
note
string
order_datetime
string<date-time>